function display_sessions_calendar() {
    $("#appWorkspace").append('<div id="sessions_calendar" bp="12"></div>');

    var sessions_schedule_source =
    {
        datatype: "json",
        datafields: [
            { name: 'exp_id' },
            { name: 'filepath' },
            { name: 'draggable' },
            { name: 'start_time', type: 'date', format: 'yyyy-MM-ddTHH:mm:ss.ffffff' },
            { name: 'end_time', type: 'date', format: 'yyyy-MM-ddTHH:mm:ss.ffffff' },
            { name: 'mins' },
            { name: 'hour' },
            { name: 'dom' },
            { name: 'month' },
            { name: 'year' },
            { name: 'context' },
            { name: 'resizable' },
            { name: 'read_only' },
            { name: 'status' },
            { name: 'target_name' },
            { name: 'campaign_title' },
            { name: 'duration' }
        ],
        url: "/schedule/api/display_sessions"
    };
    var sessions_schedule_dataAdapter = new $.jqx.dataAdapter(sessions_schedule_source);

    $("#sessions_calendar").jqxScheduler({
        date: new $.jqx.date('todayDate'),
        width: "95%",
        height: "98%",
        source: sessions_schedule_dataAdapter,
        view: 'monthView',
        showLegend: true,
        resources: {
            colorScheme: "scheme05",
            dataField: "context",
            source: new $.jqx.dataAdapter(sessions_schedule_source)
        },
        appointmentDataFields: {
	        from: "start_time",
	        to: "end_time",
	        id: "exp_id",
	        description: "campaign_title",
            draggable: "draggable",
	        location: "filepath",
            resizable: "resizable",
            readOnly: "read_only",
	        subject: "target_name",
	        resourceId: "context"
        },
        editDialogCreate: function (dialog, fields, editAppointment) {
            fields.repeatContainer.hide();
            fields.statusContainer.hide();
            fields.timeZoneContainer.hide();
            fields.colorContainer.hide();
        },
        editDialogOpen: function (dialog, fields, editAppointment) {
            fields.repeatContainer.hide();
            fields.statusContainer.hide();
            fields.timeZoneContainer.hide();
            fields.colorContainer.hide();
        }, 
        localization: {
            // separator of parts of a date (e.g. '/' in 11/05/1955)
            '/': "/",
            // separator of parts of a time (e.g. ':' in 05:44 PM)
            ':': ":",
            // the first day of the week (0 = Sunday, 1 = Monday, etc)
            firstDay: 0,
            days: {
                // full day names
                names: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
                // abbreviated day names
                namesAbbr: ["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"],
                // shortest day names
                namesShort: ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"]
            },
            months: {
                // full month names (13 months for lunar calendards -- 13th month should be "" if not lunar)
                names: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December", ""],
                // abbreviated month names
                namesAbbr: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec", ""]
            },
            // AM and PM designators in one of these forms:
            // The usual view, and the upper and lower case versions
            //      [standard,lowercase,uppercase]
            // The culture does not use AM or PM (likely all standard date formats use 24 hour time)
            //      null
            AM: ["AM", "am", "AM"],
            PM: ["PM", "pm", "PM"],
            eras: [
            // eras in reverse chronological order.
            // name: the name of the era in this culture (e.g. A.D., C.E.)
            // start: when the era starts in ticks (gregorian, gmt), null if it is the earliest supported era.
            // offset: offset in years from gregorian calendar
            {"name": "A.D.", "start": null, "offset": 0 }
            ],
            twoDigitYearMax: 2029,
            patterns: {
                // short date pattern
                d: "M/d/yyyy",
                // long date pattern
                D: "dddd, MMMM dd, yyyy",
                // short time pattern
                t: "h:mm tt",
                // long time pattern
                T: "h:mm:ss tt",
                // long date, short time pattern
                f: "dddd, MMMM dd, yyyy h:mm tt",
                // long date, long time pattern
                F: "dddd, MMMM dd, yyyy h:mm:ss tt",
                // month/day pattern
                M: "MMMM dd",
                // month/year pattern
                Y: "yyyy MMMM",
                // S is a sortable format that does not vary by culture
                S: "yyyy\u0027-\u0027MM\u0027-\u0027dd\u0027T\u0027HH\u0027:\u0027mm\u0027:\u0027ss",
                // formatting of dates in MySQL DataBases
                ISO: "yyyy-MM-dd hh:mm:ss",
                ISO2: "yyyy-MM-dd HH:mm:ss",
                d1: "dd.MM.yyyy",
                d2: "dd-MM-yyyy",
                d3: "dd-MMMM-yyyy",
                d4: "dd-MM-yy",
                d5: "H:mm",
                d6: "HH:mm",
                d7: "HH:mm tt",
                d8: "dd/MMMM/yyyy",
                d9: "MMMM-dd",
                d10: "MM-dd",
                d11: "MM-dd-yyyy"
            },
            agendaViewString: "Agenda",
            agendaAllDayString: "all day",
            agendaDateColumn: "Date",
            agendaTimeColumn: "Time",
            agendaAppointmentColumn: "Test session",
            backString: "Back",
            forwardString: "Forward",
            toolBarPreviousButtonString: "previous",
            toolBarNextButtonString: "next",
            emptyDataString: "No data to display",
            loadString: "Loading...",
            clearString: "Clear",
            todayString: "Today",
            dayViewString: "Day",
            weekViewString: "Week",
            monthViewString: "Month",
            timelineDayViewString: "Timeline Day",
            timelineWeekViewString: "Timeline Week",
            timelineMonthViewString: "Timeline Month",
            loadingErrorMessage: "The data is still loading and you cannot set a property or call a method. You can do that once the data binding is completed.",
            editRecurringAppointmentDialogTitleString: "Edit Recurring Test Session",
            editRecurringAppointmentDialogContentString: "Do you want to edit only this occurrence or the series?",
            editRecurringAppointmentDialogOccurrenceString: "Edit Occurrence",
            editRecurringAppointmentDialogSeriesString: "Edit The Series",
            editDialogTitleString: "Edit Test Session",
            editDialogCreateTitleString: "Create New Test Session",
            contextMenuEditAppointmentString: "Edit Test Session",
            contextMenuCreateAppointmentString: "Create New Test Session",
            editDialogSubjectString: "Target name",
            editDialogLocationString: "Experiment file path",
            editDialogFromString: "From",
            editDialogToString: "To",
            editDialogAllDayString: "All day",
            editDialogExceptionsString: "Exceptions",
            editDialogResetExceptionsString: "Reset on Save",
            editDialogDescriptionString: "Description",
            editDialogResourceIdString: "Context",
            editDialogStatusString: "Status",
            editDialogColorString: "Color",
            editDialogColorPlaceHolderString: "Select Color",
            editDialogTimeZoneString: "Time Zone",
            editDialogSelectTimeZoneString: "Select Time Zone",
            editDialogSaveString: "Save",
            editDialogDeleteString: "Delete",
            editDialogCancelString: "Cancel",
            editDialogRepeatString: "Repeat",
            editDialogRepeatEveryString: "Repeat every",
            editDialogRepeatEveryWeekString: "week(s)",
            editDialogRepeatEveryYearString: "year(s)",
            editDialogRepeatEveryDayString: "day(s)",
            editDialogRepeatNeverString: "Never",
            editDialogRepeatDailyString: "Daily",
            editDialogRepeatWeeklyString: "Weekly",
            editDialogRepeatMonthlyString: "Monthly",
            editDialogRepeatYearlyString: "Yearly",
            editDialogRepeatEveryMonthString: "month(s)",
            editDialogRepeatEveryMonthDayString: "Day",
            editDialogRepeatFirstString: "first",
            editDialogRepeatSecondString: "second",
            editDialogRepeatThirdString: "third",
            editDialogRepeatFourthString: "fourth",
            editDialogRepeatLastString: "last",
            editDialogRepeatEndString: "End",
            editDialogRepeatAfterString: "After",
            editDialogRepeatOnString: "On",
            editDialogRepeatOfString: "of",
            editDialogRepeatOccurrencesString: "occurrence(s)",
            editDialogRepeatSaveString: "Save Occurrence",
            editDialogRepeatSaveSeriesString: "Save Series",
            editDialogRepeatDeleteString: "Delete Occurrence",
            editDialogRepeatDeleteSeriesString: "Delete Series",
            editDialogStatuses:
            {
                free: "Scheduled",
                tentative: "Completed",
                busy: "Failed",
                outOfOffice: "Successful"
            },
        },
        views: [
            'dayView',
            'weekView',
            'monthView'
        ]
    });
};
